From c3e8da2e02f59a09e920e1776aba091a26920621 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Oriol=20Tint=C3=B3=20Prims?= <oriol.tinto@lmu.de>
Date: Mon, 27 Mar 2023 09:27:21 +0200
Subject: [PATCH] Fix eccodes definitions in build_icon.sh

---
 templates/common/build_icon.sh | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

diff --git a/templates/common/build_icon.sh b/templates/common/build_icon.sh
index 9f7e119..8ad3ebe 100644
--- a/templates/common/build_icon.sh
+++ b/templates/common/build_icon.sh
@@ -1,7 +1,6 @@
 # Get some variables provided by autosubmit.
 # TODO: What do we do to ensure that these variables are defined in the proj file?
 WORKDIR=%HPCROOTDIR%
-ICON_VERSION=%icon.version%
 
 # If the workdir directory does not exist create it
 if [ ! -d ${WORKDIR} ]; then
@@ -9,7 +8,7 @@ if [ ! -d ${WORKDIR} ]; then
 fi
 
 # Go to the working directory
-cd ${WORKDIR}
+cd ${WORKDIR} || exit
 
 
 . ${WORKDIR}/proj/platforms/common/spack_utils.sh
@@ -37,12 +36,12 @@ fi
 eccodes_version=$(spack find eccodes | grep eccodes@ | cut -d "@" -f 2)
 
 definitions_tar_file=eccodes_definitions.edzw-${eccodes_version}-1.tar.bz2
-if [ ! -f ${definitions_tar_file} ]; then
+if [ ! -f "${definitions_tar_file}" ]; then
   defs_url=https://opendata.dwd.de/weather/lib/grib/${definitions_tar_file}
-  wget ${defs_url}
+  wget "${defs_url}"
 
   # Decompress definitions file
-  tar -xf ${definitions_tar_file}
+  tar -xf "${definitions_tar_file}"
   # Create a file containing the environment variable that needs to be set in order to use DWD's definitions:
   echo "export ECCODES_DEFINITION_PATH=${WORKDIR}/definitions.edzw-${eccodes_version}-1" >eccodes_defs.env
 fi
-- 
GitLab